Bug 84592 - Colors messed up in style list
Summary: Colors messed up in style list
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other Windows (All)
: medium normal
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:4.5.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-02 10:25 UTC by Samuel Mehrbrodt (CIB)
Modified: 2015-01-25 16:12 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Wrong colors (26.72 KB, image/jpeg)
2014-10-02 10:25 UTC, Samuel Mehrbrodt (CIB)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2014-10-02 10:25:13 UTC
Created attachment 107221 [details]
Wrong colors

It's because the row color is always white since this commit: http://cgit.freedesktop.org/libreoffice/core/commit/?id=0c2b43b70776ea49655a7f18c6c11dc64a5f25b2
Comment 1 Samuel Mehrbrodt (CIB) 2014-10-02 22:02:57 UTC
Jürgen, can you verify the fix on Windows?
Comment 2 Juergen Funk (CIB) 2014-10-06 10:28:40 UTC
Hi Samuel,

your fix it works under windows, the row-color is the background-color from windows (have test with grey, white and blue).
Comment 3 Commit Notification 2015-01-25 16:12:15 UTC
Palenik Mihály committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=148e489e33a34c6345326c9beaf248ac91f8cd01

fdo#84592 Improve SvTreeListBox class with alternating rows.

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.